import sys
import os
import http.client
import urllib.request
import json
from PIL import Image

hostname = "celadon.wellesley.edu"
port = 8999
url = "/api/predict"

def generate(prompt,fn="test.jpg"):
    body = json.dumps({"data": [prompt]})
    headers = {"Content-Type": "application/json"}
    conn = http.client.HTTPConnection(hostname, port)
    conn.request("POST", url, body, headers)
    res = conn.getresponse()
    result = json.loads(res.read())
    conn.close()
    img_res = result['data'][0]
    path = img_res['path']
    print(path)
    fp = f"http://{hostname}:{port}/file={path}"
    urllib.request.urlretrieve(fp,fn)
    print("Image saved to",fn)

def main():
    if len(sys.argv) < 2:
        print("Usage: python query_gptj.py input")
        return
    result = generate(sys.argv[1])

if __name__ == "__main__":
    main()
